/* $Id: TArtRDF.h 4 2009-09-02 15:59:29Z sweetbluemoon $ */
/**
 * @file   TArtRDF.hh
 * @date   Created : Mar 28, 2008 15:28:09 JST
 *   Last Modified : Sep 26, 2008 13:51:54 JST
 * @author RIPS Taro <rips@entrance.ripsnet>
 *  
 *  
 *    Copyright (C)2008
 */
#ifndef TARTRDF_H
#define TARTRDF_H
#include "TArtDataFormat.h"
/** TArtRD
 * 
 */
class TArtRDF : public TArtDataFormat {
public:
   ~TArtRDF();
   static  TArtDataFormat *Instance();
   virtual ArtBlockStat_t GetNextBlock(TArtDataSource* source);
   virtual ArtEventStat_t GetNextEvent(unsigned short* buf,
                                       unsigned short* runbuf, 
                                       unsigned short*rnum,
                                       int &nw);
   virtual void FindSegment(unsigned short *evtdata,
                            int *evtsize,
                            int *segid,
                            int *addr,
                            int *nw,
                            int *maxsegid);

   static const int kBlockSize;
private:
   TArtRDF();
   static TArtDataFormat* fgInstance;
};
#endif // end of #ifdef TARTRDF_H
